function initAppendTo(instance) {
	let append_to;

	instance.appendTo = function(value) {
		if (value === undefined) return append_to;
		// make the patterns default to being appended to the appendTo container.
		append_to = value;
		if (instance.appendPatternsTo() === undefined) {
			instance.appendPatternsTo(append_to);
		}
		return instance;
	};
}


export { initAppendTo };
