function initAnimationDuration(instance) {
	let animation_duration = 0;

	instance.animationDuration = function(value) {
		// If value is undefined we return the saved value
		if (value === undefined) return animation_duration;
		// If value is defined we set the saved value to the new value
		animation_duration = value;
		// Then return the instance to allow for method chaining
		return instance;
	};
}


export { initAnimationDuration };
